Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1606265 - rubygem-serialport: FTBFS in Fedora rawhide
Summary: rubygem-serialport: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-serialport
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alejandro_Perez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 19:13 UTC by Mohan Boddu
Modified: 2019-01-13 02:31 UTC (History)
1 user (show)

Fixed In Version: rubygem-serialport-1.3.1-16.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-13 02:31:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 19:13 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 19:13 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 19:13 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 19:13:35 UTC
rubygem-serialport failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28230975


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix rubygem-serialport at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-serialport will be orphaned. Before branching of Fedora 30,
rubygem-serialport will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 19:13:40 UTC
Created attachment 1467811 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 19:13:44 UTC
Created attachment 1467812 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 19:13:46 UTC
Created attachment 1467813 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 08:58:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2019-01-04 20:30:26 UTC
rubygem-serialport-1.3.1-16.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-46716e8322

Comment 6 Fedora Update System 2019-01-05 18:52:02 UTC
rubygem-serialport-1.3.1-16.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-46716e8322

Comment 7 Fedora Update System 2019-01-13 02:31:05 UTC
rubygem-serialport-1.3.1-16.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.